Elastic Driver for Laravel Scout
Clone or download
Pull request Compare This branch is 5 commits ahead, 2 commits behind ErickTamayo:master.
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Failed to load latest commit information.
src
tests
.gitignore
.travis.yml
LICENSE
README.md
composer.json
phpunit.xml.dist

README.md

Laravel Scout (Old) Elasticsearch Driver

This fork is for using ErickTamayo's Laravel Scout elasticsearch driver with an older elasticsearch server. All it does is change the required version of the elasticsearch PHP package to ~2.0.

Software License

This package makes is the Elasticsearch driver for Laravel Scout.

Contents

Installation

You can install the package via composer:

composer require iancallahan/laravel-scout-old-elastic

You must add the Scout service provider and the package service provider in your app.php config:

// config/app.php
'providers' => [
    ...
    Laravel\Scout\ScoutServiceProvider::class,
    ...
    ScoutEngines\Elasticsearch\ElasticsearchProvider::class,
],

Setting up Elasticsearch configuration

You must have a Elasticsearch server up and running with the index you want to use created

If you need help with this please refer to the Elasticsearch documentation

After you've published the Laravel Scout package configuration:

// config/scout.php
// Set your driver to elasticsearch
    'driver' => env('SCOUT_DRIVER', 'elasticsearch'),

...
    'elasticsearch' => [
        'index' => env('ELASTICSEARCH_INDEX', 'laravel'),
        'hosts' => [
            env('ELASTICSEARCH_HOST', 'http://localhost'),
        ],
    ],
...

Usage

Now you can use Laravel Scout as described in the official documentation

Credits

License

The MIT License (MIT).